require 'minitest/autorun'
require 'calculate-tip/external-api'

class ExternalApiTest < Minitest::Test
  
  def setup
  	@api = ExternalApi.new("100", "15")
  	@api_without_tip = ExternalApi.new("100")
  end

  def test_amount_is_float
  	assert_equal 100.0, @api.get_amount
  end

  def test_default_tip
  	assert_equal 15.0, @api_without_tip.get_tip
  end

end